export default class MarkerManager {
    static getId({ ns, id }: {
        ns: any;
        id: any;
    }): string;
    constructor(rootObject: any, onChangeCb: any);
    objectMap: {};
    object: any;
    namespaces: {};
    onChangeCb: any;
    markerLifetime: MarkerLifetime;
    onMarkerLifetimeOver(id: any): void;
    getMarkerOrCreate(marker: any): any;
    extractNameSpace(str: any): any;
    updateOptions(options: any): void;
    onChange(): void;
    updateMarker(marker: any): void;
    removeObject(id: any): void;
    reset(): void;
}
import MarkerLifetime from "./markerLifetime";
